function makeGraphs0515

savePrefix = '0515-iscasComb';

circuits  = { 'c17', 'c432', 'c499', 'c880', 'c1355', 'c1908', 'c2670', 'c3540', 'c5315', 'c6288', 'c7552' };
inputs    = [    5      36      41      60       41       33      233       50      178       32      207  ];
faultvecs = [   13     112     111     132      104      121      146      121      123       94      146  ];
dontcares = [ 0.40 0.51364 0.01648 0.75253  0.01477  0.49186  0.83379  0.78529  0.88600  0.27061  0.71577  ] .* 100;

circuits  = fliplr(circuits);
inputs    = fliplr(inputs);
faultvecs = fliplr(faultvecs);
dontcares = fliplr(dontcares);

data = [ inputs' faultvecs' dontcares' ];


colormap mycolormap0515;
barh(data, 1.5);

% a = axis; 
% a(4) = a(4)*1.1;
% axis(a);
% for i = 1:11;
%   text( genes(i)+15, i, ...
%         sprintf('%.0f%%', seqMaxCA(i) / genes(i) * 100 ), ...
%         'BackgroundColor', [ hex2dec('F2') hex2dec('E1') hex2dec('BC') ] ./ 256, ...
%         'EdgeColor', 'k', ...
%         'FontAngle', 'italic' );
% %         'BackgroundColor', 'w', ...
% %         'EdgeColor', 'k', ...
% end

grid on
title('ISCAS''85 combinational circuits');
set(gca,'YTickLabel',circuits)
ylabel('ISCAS circuit');
legend('No. of inputs', 'No. of fault vectors', 'Percentage of dont''t-cares', 'Orientation','vertical', 'Location','NorthEast');
ylim([0 12])
%xlim([0 105])

saveas(gcf, [savePrefix '.eps'], 'psc2' );
saveas(gcf, [savePrefix '.fig'] );
saveas(gcf, [savePrefix '.png'] );

set(gcf,'PaperUnits','normalized');
set(gcf,'PaperType','A4');
set(gcf,'PaperOrientation','Landscape');
set(gcf,'PaperPosition',[.1 .1 .8 .8]);
saveas(gcf, [savePrefix '.pdf'] );

end
